CURLINFO_CAINFO(3)

NAME
CURLINFO_CAINFO - default built-in CA certificate path

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CAINFO, char **path);

DESCRIPTION
Pass a pointer to a char pointer to receive the pointer to a null-terminated string holding the default built-in path used for the CURLOPT_CAINFO(3) option unless set by the user. Note that in a situation where libcurl has been built to support multiple TLS libraries, this option might return a string even if the specific TLS library currently set to be used does not support CURLOPT_CAINFO(3). This is a path identifying a single file containing CA certificates. The path pointer is set to NULL if there is no default path.

PROTOCOLS
This functionality affects all TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc. All TLS backends support this option.

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    char *cainfo = NULL;
    curl_easy_getinfo(curl, CURLINFO_CAINFO, &cainfo);
    if(cainfo) {
      printf("default ca info path: %s\n", cainfo);
    }
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.84.0

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_CAPATH(3), curl_easy_getinfo(3), curl_easy_setopt(3)